Get store currency rate
GET
/v1/external/store/currencies/{id}/rate
Server
Get store currency rate
Authorizations
XApiKey
TypeAPI Key (header: X-Api-Key)
Parameters
Path Parameters
id*
Currency ID
Typestring
RequiredExample
BTC.BitcoinResponses
OK
*/*
JSON
{
"code": 0,
"data": {
"code": "string",
"rate": "string",
"rate_source": "string"
},
"message": "string"
}
GET
/v1/external/store/currencies/{id}/rate
Server
Server
Samples
cURL
curl -X GET \
'https://demo.dv.net/api/v1/external/store/currencies/BTC.Bitcoin/rate' \
-H "Content-Type: application/json"JavaScript
fetch('https://demo.dv.net/api/v1/external/store/currencies/BTC.Bitcoin/rate', {headers:{'Content-Type':'application/json'}})
.then(response => response.json())
.then(data => console.log(data));PHP
<?php
$url = 'https://demo.dv.net/api/v1/external/store/currencies/BTC.Bitcoin/rate';
$method = 'GET';
$headers = [
'Content-Type' => 'application/json',
];
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, $method);
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>Python
import requests
url = 'https://demo.dv.net/api/v1/external/store/currencies/BTC.Bitcoin/rate'
headers = {
'Content-Type': 'application/json'
}
response = requests.get(url, headers=headers)
print(response.json())